Subject: bug#61103: closed (Re: bug#61103: (no subject))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Mar 2023 02:02:02 +0000

Your bug report

#61103: (no subject)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61103: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61103
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61103: (no subject)
From: Maxim Cournoyer <[email-masked]>
To: Mája Tomášek <[email-masked]>
Cc: [email-masked], Liliana Marie Prikler <[email-masked]>
Date: Tue, 21 Mar 2023 22:01:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mája Tomášek <[email-masked]> writes:

> Liliana Marie Prikler <[email-masked]> writes:
>
>> I am fairly certain that by default, dconf-editor does not crash when
>> using gnome-desktop-service-type (i.e. the "default" configuration).
>
> I'm afraid that it does. At least on my system it does. I use gnome-desktop-service-type.
>
>> Now fair enough, it might still break in the way you described *outside
>> of gnome*, but in any case, propagating inputs is no solution and in
>> this case, you're breaking cross-compilation to rely on a side effect.
>
> I understand that it is not an optimal solution. I didn't like it
> either, but I didn't find any other solution
>
>> The package you do want is most likely gsettings-desktop-schemas
>
> I have now tried the following:
>
> ---
> $ guix shell --pure gsettings-desktop-schemas dconf-editor
> $ dconf-editor 
>
> (dconf-editor:4990): dbind-WARNING **: 11:46:30.355: AT-SPI: Error
> retrieving accessibility bus address:
> org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was
> not provided by any .service files
>
> (dconf-editor:4990): GLib-GIO-ERROR **: 11:46:30.369: No GSettings schemas are installed on the system
> zsh: trace trap  dconf-editor
> ---
>
> and
> ---
> $ guix shell gsettings-desktop-schemas dconf-editor       
> $ dconf-editor 
>
> (dconf-editor:5048): GLib-GIO-ERROR **: 11:47:58.518: Settings schema
> 'ca.desrt.dconf-editor.Lib' is not installed
> zsh: trace trap  dconf-editor
> ---
>
> Both resulting in an error. Yes the error is different but I'm not
> knowledgeable enough to fix this issue.
>
>> think it ought to be possible to fix dconf-editor without propagating
>
> That would be great!

I don't see anything to fix; dconf-editor complains an throws an error
when there are no schemas found.  Schemas are found via a
native-search-path defined on glib (XDG_DATA_DIRS).

Fixing #22138 would probably help to some degree but otherwise that's
normal Guix behavior, I think.  Thus, closing.

-- 
Thanks,
Maxim

From: Maya Tomasek <[email-masked]>
To: [email-masked]
Date: Fri, 27 Jan 2023 20:36:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Maya Tomasek <[email-masked]>
Date: Fri, 27 Jan 2023 20:26:11 +0100
Subject: [PATCH] gnu: Move dconf-editor native-input glib:bin to
 propagated-inputs

dconf-editor crashes with "No GSettings schemas are installed on the system",
this provides the expected schemas.
---
Hi,

I have noticed that dconf-editor by default crashes as it has no schemas.
This is probably undesired, as most users install dconf-editor to edit
settings on gnome. But there is no indication that the actual error is
missing glib:bin. The issue isn't fixed by moving glib:bin to inputs.
It has to be in propagated inputs.

Kind regards,
Maya

 gnu/packages/gnome.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index de5b5df450..fd74b7df2d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -10035,13 +10035,14 @@ (define-public dconf-editor
     (arguments
      (list #:meson meson-0.60))
     (native-inputs
-     `(("glib:bin" ,glib "bin") ; for glib-compile-schemas, gio-2.0.
-       ("gtk+-bin" ,gtk+ "bin") ; for gtk-update-icon-cache
+     `(("gtk+-bin" ,gtk+ "bin") ; for gtk-update-icon-cache
        ("intltool" ,intltool)
        ("pkg-config" ,pkg-config)
        ("vala" ,vala)))
     (inputs
      (list dconf gtk+ libxml2))
+    (propagated-inputs
+     (list `(,glib "bin")))
     (home-page "https://gitlab.gnome.org/GNOME/dconf-editor")
     (synopsis "Graphical editor for GNOME's dconf configuration system")
     (description
-- 
2.39.1